package net.jieyuu.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "用户注册实体类")
public class UserRegisterRequest {

    @ApiModelProperty(value = "用户名", example = "123456")
    private String name;

    @ApiModelProperty(value = "密码", example = "123456")
    private String pwd;

    @ApiModelProperty(value = "头像地址", example = "123456")
    private String headImg;

    @ApiModelProperty(value = "用户签名", example = "123456")
    private String slogan;

    @ApiModelProperty(value = "性别", example = "1")
    private Integer sex;

    @ApiModelProperty(value = "邮箱", example = "645634619@qq.com")
    private String mail;

    @ApiModelProperty(value = "验证码", example = "645634619@qq.com")
    private String code;

}
